edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer

## Class LancasterStemmerLemmatizer

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.AbstractLemmatizer
    - - edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.AbstractStemmerLemmatizer
      - - edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.LancasterStemmerLemmatizer

- All Implemented Interfaces:
    Lemmatizer, IsCloseable, UsesLogger

      public class LancasterStemmerLemmatizer
      extends AbstractStemmerLemmatizer
      implements IsCloseable, Lemmatizer

  Use Lancaster Stemmer as a pseudo-lemmatizer.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.AbstractStemmerLemmatizer

      `stemMap, stemmer`

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.AbstractLemmatizer

      `dictionary, lemmaSeparator, lemmaSeparatorString, lexicon, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LancasterStemmerLemmatizer()` Create Lancaster stemmer lemmatizer.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.AbstractStemmerLemmatizer

      `lemmatize, lemmatize, setLexicon`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.AbstractLemmatizer

      `cantLemmatize, countLemmata, getLemmaSeparator, getLogger, isCompoundLemma, joinLemmata, joinLemmata, setDictionary, setLogger, splitLemma`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.Lemmatizer

      `cantLemmatize, countLemmata, getLemmaSeparator, isCompoundLemma, joinLemmata, joinLemmata, lemmatize, lemmatize, setDictionary, setLexicon, splitLemma`

- - ### Constructor Detail

    - #### LancasterStemmerLemmatizer

          public LancasterStemmerLemmatizer()

      Create Lancaster stemmer lemmatizer.